Description:

Makes a curve blend between points on two surface edges. The blend will be tangent to the surfaces and perpendicular to the edges.

Syntax:
public static Curve CreateBlendShape(
BrepFace face0,
BrepEdge edge0,
double t0,
bool rev0,
BlendContinuity continuity0,
BrepFace face1,
BrepEdge edge1,
double t1,
bool rev1,
BlendContinuity continuity1
)
Parameters:
  • face0
  • Type: BrepFace
  • First face to blend from.
  • edge0
  • Type: BrepEdge
  • First edge to blend from.
  • t0
  • Type: double
  • Location on first edge for first end of blend curve.
  • rev0
  • Type: bool
  • If false, edge0 will be used in its natural direction. If true, edge0 will be used in the reversed direction.
  • face1
  • Type: BrepFace
  • Second face to blend from.
  • edge1
  • Type: BrepEdge
  • Second edge to blend from.
  • t1
  • Type: double
  • Location on second edge for second end of blend curve.
  • rev1
  • Type: bool
  • If false, edge1 will be used in its natural direction. If true, edge1 will be used in the reversed direction.
Returns:
Type: Curve
The blend curve on success. None on failure
Available since:
6.0

/
/
/
CreateBlendShape

CreateBlendShape method

Class:  Rhino.Geometry.Brep

Nothing found